Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class JboNamedData

`java.lang.Object
oracle.jbo.mom.PropertyNameValueDef
oracle.jbo.server.util.JboNamedData`

All Implemented Interfaces:
  DefPersistable, PersistentDefinition, java.io.Serializable

public class JboNamedData
extends PropertyNameValueDef
implements DefPersistable

This class implements a persistable name-value-type holder It can be used to store name-type-value triplets e.g., to persist Bean Properties. Used by JboValidatorType to store Validator bean's instance data.

Version:
  INTERNAL

Field Summary

Fields inherited from class oracle.jbo.mom.PropertyNameValueDef
`NULL_VALUE`

Fields inherited from interface oracle.jbo.mom.xml.DefPersistable
`XML_STATEMENT`

Constructor Summary
`JboNamedData()`
`JboNamedData(JboNamedData other)`
`JboNamedData(java.lang.String name, java.lang.String type, java.lang.Object value)`
`JboNamedData(java.lang.String name, java.lang.String type, java.lang.Object value, boolean saveNullValue)`
`JboNamedData(java.lang.String name, java.lang.String type, java.lang.Object value, boolean saveNullValue, int paramOption)`

Method Summary
`java.lang.String` | `getFullName()` This method returns the Persistence reference of the object.
`int` | `getOption()` Advanced : For internal use only
`boolean` | `isDirty()` This method returns if an Object is modified from last save/load
`boolean` | `isNew()` This method returns if this object is previously persisted.
`void` | `setDirty(boolean isDirty)` This method marks the Object dirty
`void` | `setNew(boolean isNew)` This method marks the as previously persisted.
`void` | `writeChildren(DefWriter jos)` Writes the Object's children to the Persistent storage
`void` | `writeContents(DefWriter jos)` Objects should write their persistence output in this method
`void` | `writeObject(DefWriter jos)` Objects should write their persistence output in this method

Methods inherited from class oracle.jbo.mom.PropertyNameValueDef
`clone, convertToText, convertToVector, copy, getColumnList, getName, getType, getTypedValue, getTypeName, getValue, getXMLElementTag, loadFromXMLFile, setBeanProperty, setName, setType, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.mom.xml.PersistentDefinition
`getXMLElementTag`

Constructor Detail

### JboNamedData

    public JboNamedData()

### JboNamedData

    public JboNamedData(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value)

### JboNamedData

    public JboNamedData(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value,
                        boolean saveNullValue)

### JboNamedData

    public JboNamedData(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value,
                        boolean saveNullValue,
                        int paramOption)

### JboNamedData

    public JboNamedData(JboNamedData other)

Method Detail

### isDirty

    public boolean isDirty()

  This method returns if an Object is modified from last save/load
  Specified by:
    `isDirty` in interface `DefPersistable`
  Returns:
    Returns true if the Object is dirty. Returns false otherwise.

### setDirty

    public void setDirty(boolean isDirty)

  This method marks the Object dirty
  Specified by:
    `setDirty` in interface `DefPersistable`
  Parameters:
    `isDirty` - If true the Object is marked Dirty.

### isNew

    public boolean isNew()

  This method returns if this object is previously persisted.
  Specified by:
    `isNew` in interface `DefPersistable`
  Returns:
    true if the Object is previously persisted. Returns false otherwise.

### setNew

    public void setNew(boolean isNew)

  This method marks the as previously persisted. By default all objects are new objects. When the object is persisted first time, that object is marked as 'not new' object
  Specified by:
    `setNew` in interface `DefPersistable`
  Parameters:
    `isNew` - If true the Object is marked as new object.

### getFullName

    public java.lang.String getFullName()

  This method returns the Persistence reference of the object. The Persistence Reference is uniquely identifiable fully qualified name of the object.
  Specified by:
    `getFullName` in interface `DefPersistable`
  Overrides:
    `getFullName` in class `PropertyNameValueDef`
  Returns:
    the Persistence Reference of the object

### getOption

    public int getOption()

  Advanced : For internal use only

### writeObject

    public void writeObject(DefWriter jos)
                     throws DefPersistenceException

  Objects should write their persistence output in this method
  Specified by:
    `writeObject` in interface `PersistentDefinition`
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `DefPersistenceException`

### writeContents

    public void writeContents(DefWriter jos)
                       throws DefPersistenceException

  Objects should write their persistence output in this method
  Specified by:
    `writeContents` in interface `PersistentDefinition`
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `DefPersistenceException`

### writeChildren

    public void writeChildren(DefWriter jos)
                       throws DefPersistenceException

  Writes the Object's children to the Persistent storage
  Specified by:
    `writeChildren` in interface `PersistentDefinition`
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `java.lang.Error` - in writing the Object's Children to the storage
    `DefPersistenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.